### Constructor

# GWeather Info new

#### Declaration [src]

    GWeatherInfo*
    gweather_info_new (
      GWeatherLocation* location
    )

#### Description [src]

Builds a new `GWeatherInfo` that will provide weather information about the given location.

In order to retrieve the weather information, you will need to enable the desired providers and then call `gweather_info_update()`. If you want to be notified of the completion of the weather information update, you should connect to the `GWeatherInfo::updated` signal before updating the `GWeatherInfo` instance.

#### Parameters

`location`

  Type: `GWeatherLocation`

  The desidered location.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GWeatherInfo`

A new weather information instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.